Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have default ghostscript version 8.71 installed in my Ubuntu Machine i would like to update it to the latest version

I download the file from http://downloads.ghostscript.com/public/ghostpdl-9.01.tar.gz When i run make command i get error

o -c ./obj/gsromfs1.c
./obj/echogs -w ./obj/ldt.tr -n - gcc  -o ./bin/gs
./obj/echogs -a ./obj/ldt.tr -n -s ./obj/gsromfs1.o ./obj/gs.o -s
cat ./obj/ld.tr >>./obj/ldt.tr
./obj/echogs -a ./obj/ldt.tr -s - -ldl -lm  -rdynamic -ldl  -lpthread -lm
if [ x != x ]; then LD_RUN_PATH=; export LD_RUN_PATH; fi; \
XCFLAGS= XINCLUDE= XLDFLAGS= XLIBDIRS= XLIBS= \
FEATURE_DEVS= DEVICE_DEVS= DEVICE_DEVS1= DEVICE_DEVS2= DEVICE_DEVS3= \
DEVICE_DEVS4= DEVICE_DEVS5= DEVICE_DEVS6= DEVICE_DEVS7= DEVICE_DEVS8= \
DEVICE_DEVS9= DEVICE_DEVS10= DEVICE_DEVS11= DEVICE_DEVS12= \
DEVICE_DEVS13= DEVICE_DEVS14= DEVICE_DEVS15= DEVICE_DEVS16= \
DEVICE_DEVS17= DEVICE_DEVS18= DEVICE_DEVS19= DEVICE_DEVS20= \
DEVICE_DEVS_EXTRA= \
/bin/sh <./obj/ldt.tr
/usr/bin/ld: cannot find -lXext
collect2: ld returned 1 exit status
make: *** [bin/gs] Error 1
share|improve this question

1 Answer 1

up vote 1 down vote accepted

The error here is /usr/bin/ld: cannot find -lXext. Pay attention to -lXext, this means that the linker tried to link the objects to the Xext library. For that to work, you need to have the libxext-dev package installed.

Generally speaking, to solve errors like cannot find -lNAME, install the libNAME-dev package.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.